StartVmInstance
StartVmInstance
PUT
/zstack/v1/vm-instances/{uuid}/actionsOperation ID
StartVmInstanceSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe VM instance UUID.
Body Fields
clusterUuidStringOptional. The cluster UUID. If specified, the VM instance will be started in the specified cluster.
hostUuidStringOptional. The host UUID. If specified, the VM instance will be started on the specified host. This parameter can override clusterUuid.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
